Subject: CVS commit: pkgsrc/wm/fvwm
To: None <>
From: Martti Kuparinen <>
List: pkgsrc-changes
Date: 12/12/2006 06:57:59
Module Name:	pkgsrc
Committed By:	martti
Date:		Tue Dec 12 06:57:59 UTC 2006

Modified Files:
	pkgsrc/wm/fvwm: Makefile distinfo
	pkgsrc/wm/fvwm/patches: patch-aa patch-ab patch-ad
Removed Files:
	pkgsrc/wm/fvwm/patches: patch-af

Log Message:
Updated wm/fvwm to 2.4.20

fvwm-2.4.20 maintenance release for all earlier 2.4.x versions.
It contains a number of minor fixes and one important security fix.

This release is available at the home page:

Who needs to upgrade?

Because of the security issues with fvwm-2.3.4 to fvwm-2.4.19, it
is strongly recommended to upgrade to fvwm-2.4.19.

System administrators are encouraged to install this version to
grant their users access to the latest stable version.

Bug Fixes:

* The configure script now correctly appends executable file
  extensions to conditionally built binaries. Fixes building on

* FvwmConsole no longer conflicts with getline of Cygwin's stdio.

* Fixed parsing of For loops in FvwmScript.

* Fixed a possible endless loop when de-iconifying a transient

* Reject some invalid GNOME hints.

* Fixed a loop when xterm changes its "active icon" size.

* The configure script can now cope with four-part version numbers
  when detecting some libraries.

* Security fixes in

     fvwm-menu-directory. (CVE-2006-5969)

To generate a diff of this commit:
cvs rdiff -r1.4 -r1.5 pkgsrc/wm/fvwm/Makefile
cvs rdiff -r1.2 -r1.3 pkgsrc/wm/fvwm/distinfo
cvs rdiff -r1.1.1.1 -r1.2 pkgsrc/wm/fvwm/patches/patch-aa \
    pkgsrc/wm/fvwm/patches/patch-ab pkgsrc/wm/fvwm/patches/patch-ad
cvs rdiff -r1.1 -r0 pkgsrc/wm/fvwm/patches/patch-af

Please note that diffs are not public domain; they are subject to the
copyright notices on the relevant files.